incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From peng-yongsheng <8082...@qq.com>
Subject Re: [VOTE] Release Apache SkyWalking (incubating) version5.0.0-alpha(2ndround)
Date Mon, 26 Mar 2018 16:13:17 GMT
From this site:  http://mvnrepository.com/artifact/net.java.dev.jna/jna/4.4.0 <http://mvnrepository.com/artifact/net.java.dev.jna/jna/4.4.0>,

The license of this jna-4.4.0 is LGPL 2.1 and Apache 2.0.


But from the Github home page: https://github.com/java-native-access/jna <https://github.com/java-native-access/jna>,
At the end of README document,  they said: " (from version 4.0 onward) the Apache Software
License, version 2.0”.

We used the 4.4.0 version. So, can we use this component in our product?


> 在 2018年3月26日,04:35,sebb <sebbaz@gmail.com> 写道:
> 
> On 25 March 2018 at 21:23, Justin Mclean <justinmclean@me.com> wrote:
>> Hi,
>> 
>> If it is bundled and under a ALv2 license you can list it in LICENSE if you want
to but it’s not required.
> 
> The document also says:
> 
> "However, for completeness it is useful to list the products and their
> versions, as is done for products under other licenses."
> 
> This makes it easier for consumers (and developers) to determine what
> licenses apply to the bundled bits.
> Otherwise it's not clear whether there is no entry in LICENSE because
> it has been overlooked.
> 
>> Thanks,
>> Justin
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
>> For additional commands, e-mail: general-help@incubator.apache.org
>> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
> For additional commands, e-mail: general-help@incubator.apache.org
> 


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message